<div class="modal-header border-bottom-0">
    <div class="template-detail-title">{{recipientList.name}}</div>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
</div>
<div>
    <div class="table-responsive border-table" *ngIf="recipients">
        <table class="table table-striped mb-0" aria-describedby="user-management-page-heading">
            <thead class="thead-light">
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="transition.bind(this)">
                <th scope="col" jhiSortBy="recipientIdentify"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                <th scope="col" jhiSortBy="county"><span jhiTranslate="recipientManagement.detailPage.county">Count</span> <fa-icon icon="sort"></fa-icon></th>
                <th scope="col" jhiSortBy="title"><span jhiTranslate="recipientManagement.detailPage.title">Title</span> <fa-icon icon="sort"></fa-icon></th>
                <th scope="col" jhiSortBy="procuringAgency"><span jhiTranslate="recipientManagement.detailPage.procuringAgency">procuringAgency</span><fa-icon icon="sort"></fa-icon></th>
                <th scope="col" jhiSortBy="referenceNumber"><span jhiTranslate="recipientManagement.detailPage.referenceNumber">referenceNumber</span><fa-icon icon="sort"></fa-icon></th>
                <th scope="col" jhiSortBy="registrar"><span jhiTranslate="recipientManagement.detailPage.registrar">registrar</span><fa-icon icon="sort"></fa-icon></th>
                <th scope="col" jhiSortBy="email"><span jhiTranslate="recipientManagement.detailPage.email">email</span> <fa-icon icon="sort"></fa-icon></th>
                <th scope="col" jhiSortBy="procurementUrl"><span jhiTranslate="recipientManagement.detailPage.procurementUrl">procurementUrl</span><fa-icon icon="sort"></fa-icon></th>
            </tr>
            </thead>
            <tbody *ngIf="recipients" class="content-dialog-detail">
            <tr *ngFor="let recipient of recipients; trackBy: trackIdentity">
                <td>{{ recipient.id }}</td>
                <td>{{ recipient.county }}</td>
                <td>{{ recipient.title }}</td>
                <td>{{ recipient.procuringAgency }}</td>
                <td>{{ recipient.referenceNumber }}</td>
                <td>{{ recipient.registrar }}</td>
                <td>{{ recipient.email }}</td>
                <td><a class="text-primary font-weight-light"  target="_blank" href="{{recipient.procurementUrl}}">{{ recipient.procurementUrl }}</a></td>
            </tr>
            </tbody>
        </table>
        <div class="row text-center">
            <div class="col-12">
                <div class="alert alert-secondary" role="alert" *ngIf="recipients && recipients.length === 0">
                    <span jhiTranslate="global.dataEmpty"> recipients are empty! </span>
                </div>
            </div>
        </div>
    </div>

    <div *ngIf="recipients" class="pt-2 d-flex justify-content-end mr-4 footer-dialog-detail">
        <jhi-item-count class="mr-4 align-self-center" [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        <ngb-pagination ngbAutofocus size="sm" [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="3" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadAll()"></ngb-pagination>
    </div>
</div>
